MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001930VCMIMechanics - Adventure Mappublic2014-11-06 12:032015-12-05 07:51
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformPCOSLinux KubuntuOS Version14.04
Product Version0.97 
Target VersionFixed in Version0.98f 
Summary0001930: When two heroes of same identify in game level up don't work properly
DescriptionThis one can be only reproduced when 0001929 occur. So I not sure if this should be even reported as bug because even original HoMM3 editor don't allow to place multiple heroes with same personality on the map.

Mostly everything works fine, but there is number of glitches:
  - No matter which hero upped: level number only increased for 2nd hero.
  - Skills choice for 1st hero glitch: give choice of two "basic" skills while one of them is upgrade, sometimes checking of skill description might cause crashes.
Steps To Reproduce  - Start game with "cloned heroes" as explained in 0001929
  - Now start levelup each heroe using "vcmiglorfindel" cheat.
  - You'll notice weird behaviours when 1st hero see some skills as "basic" because 2nd hero don't have them.
Additional InformationRelated to 0001929
TagsNo tags attached.
Attached Files

- Relationships
related to 0001929resolvedIvan Game start: if hero selected pre-game and map have multiple start towns you'll get multiple clones of same hero 

-  Notes
(0005071)
SXX (administrator)
2014-11-06 12:05

Oops, in reproduction last sentence is:
  - You'll notice weird behaviours when 1st hero see some skills as "basic" because 2nd hero don't have them.
(0005086)
Ivan (developer)
2014-11-10 17:47

I would rather mark this as won't fix - multiple heroes of the same type is not supported behaviour and may cause glitches.

What needs to be fixed is 0001929 to avoid such copies in the first place.
(0005089)
SXX (administrator)
2014-11-12 11:16

I suppose it's would be valid for this one. Also I'm checked several other scenarios how duplicate heroes might appear and it's looks like VCMI handle them all as properly as original.
(0006145)
SXX (administrator)
2015-12-05 07:51

This one is really not supported by engine design and all heroes must have unique subId in order to work properly.

- Issue History
Date Modified Username Field Change
2014-11-06 12:03 SXX New Issue
2014-11-06 12:05 SXX Note Added: 0005071
2014-11-06 12:41 AVS Relationship added related to 0001929
2014-11-06 12:42 AVS Steps to Reproduce Updated View Revisions
2014-11-10 17:47 Ivan Note Added: 0005086
2014-11-12 11:16 SXX Note Added: 0005089
2015-12-05 07:51 SXX Note Added: 0006145
2015-12-05 07:51 SXX Status new => closed
2015-12-05 07:51 SXX Assigned To => SXX
2015-12-05 07:51 SXX Resolution open => no change required
2015-12-05 07:51 SXX Fixed in Version => 0.98f

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2021 MantisBT Team
Hosting provided by DigitalOcean